3)

n = int(input())
 
if n < 6:
    print(-1)
else:
    print('1 2\n2 3\n2 4\n4 5\n4 6')
    for i in range(0, (n - 6) // 2 * 2, 2):
        print(1, i + 7)
        print(i + 7, i + 8)
    if n % 2 == 1:
        print(2, n)
        
        
#print()
for i in range(n - 1):
    print(i + 1, i + 2)